---
title: archive-ai-gateway-budget-default
product: vercel
url: /docs/rest-api/ai-gateway/archive-ai-gateway-budget-default
canonical_url: "https://vercel.com/docs/rest-api/ai-gateway/archive-ai-gateway-budget-default"
last_updated: 2026-10-01
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about archive-ai-gateway-budget-default on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Archive AI Gateway budget default

```http
DELETE /ai-gateway/budgets/defaults
```

Delete an AI Gateway budget default for one scope. Team-level authority only (owners/admins).

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `scopeType` | string. enum: team, project, api-key, user | Yes | The budget default scope to delete. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/ai-gateway/budgets/defaults?scopeType=string&teamId=string&slug=string', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/ai-gateway/budgets/defaults?scopeType=string&teamId=string&slug=string', {
    method: 'DELETE',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X DELETE 'https://api.vercel.com/ai-gateway/budgets/defaults?scopeType=string&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Responses

### 204: No description

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

### 500: No description

---

## Related

- [ai-gateway endpoints](/docs/rest-api#ai-gateway)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
